=== smrsh/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 7/2/95

PROG=	smrsh
MAN8=	smrsh.0
CFLAGS+=-I${.CURDIR}/../src -DNDBM -DNEWDB

.include "../../Makefile.inc"
.include <bsd.prog.mk>
