## sendmail 8.8.5-1

=== debian/control ===
PACKAGE: sendmail
VERSION: =
ARCHITECTURE: =
MAINTAINER: Robert Leslie <rob@mars.org>
DEPENDS: libc5 (>= 5.4.13), libgdbm1, libdb1, netbase (>= 1.26-1), deliver, m4
RECOMMENDS: mail-reader
CONFLICTS: mail-transport-agent, smail
PROVIDES: mail-transport-agent
PRIORITY: extra
SECTION: mail
DESCRIPTION: A complex mail transport agent.
 Sendmail is an alternative mail transport agent (MTA) for
 Debian. It is suitable for handling complex mail
 configurations, although this means that its configuration
 can also be complex.
