## sendmail 8.9.3

=== doc/usenix/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 2/28/1994

SRCS=	usenix.me
MACROS=	-me

all: usenix.ps

usenix.ps: ${SRCS}
	rm -f ${.TARGET}
	${PIC} ${SRCS} | ${ROFF} > ${.TARGET}

.include <bsd.doc.mk>
